Index: dico-2.3/dicoweb/templates/base.html
===================================================================
--- dico-2.3.orig/dicoweb/templates/base.html
+++ dico-2.3/dicoweb/templates/base.html
@@ -1,4 +1,4 @@
-{% load media %}{% load url from future %}
+{% load media %}
 <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
 <html xmlns="http://www.w3.org/1999/xhtml">
 
Index: dico-2.3/dicoweb/templates/index.html
===================================================================
--- dico-2.3.orig/dicoweb/templates/index.html
+++ dico-2.3/dicoweb/templates/index.html
@@ -1,7 +1,6 @@
 {% extends 'base.html' %}
 {% load i18n %}
 {% load dictlookup %}
-{% load firstof from future %}
 
 {% block search %}
 
Index: dico-2.3/dicoweb/settings-sample.py
===================================================================
--- dico-2.3.orig/dicoweb/settings-sample.py
+++ dico-2.3/dicoweb/settings-sample.py
@@ -86,9 +86,15 @@ ROOT_URLCONF = 'dicoweb.urls'
 
 WSGI_APPLICATION = 'dicoweb.wsgi.application'
 
-TEMPLATE_DIRS = (
-    os.path.join(SITE_ROOT, 'templates'),
-)
+TEMPLATES = [
+    {   
+        'BACKEND': 'django.template.backends.django.DjangoTemplates',
+        'APP_DIRS': True,
+        'DIRS': [
+            os.path.join(SITE_ROOT, 'templates'),
+        ],
+    },
+]
 
 INSTALLED_APPS = (
     'django.contrib.contenttypes',
Index: dico-2.3/dicoweb/urls.py
===================================================================
--- dico-2.3.orig/dicoweb/urls.py
+++ dico-2.3/dicoweb/urls.py
@@ -15,17 +15,16 @@
 #  along with GNU Dico.  If not, see <http://www.gnu.org/licenses/>.
 
 from django.conf import settings
-from django.conf.urls import patterns
+from django.conf.urls import url
+from django.views.static import serve
 import views
 
-urlpatterns = patterns(
-    '',
-    (r'^/?$', views.index, {}, 'index'),
-    (r'^opensearch\.xml$', views.opensearch, {}, 'opensearch'),
-)
+urlpatterns = [
+    url(r'^/?$', views.index, {}, 'index'),
+    url(r'^opensearch\.xml$', views.opensearch, {}, 'opensearch'),
+]
 
-urlpatterns += patterns(
-    '',
-    (r'^static/(?P<path>.*)$', 'django.views.static.serve',
+urlpatterns += [
+    url(r'^static/(?P<path>.*)$', serve,
      {'document_root': settings.MEDIA_ROOT}),
-)
+]
Index: dico-2.3/dicoweb/views.py
===================================================================
--- dico-2.3.orig/dicoweb/views.py
+++ dico-2.3/dicoweb/views.py
@@ -24,7 +24,7 @@ from django.shortcuts import render_to_r
 from django.utils.encoding import force_bytes
 from django.utils.translation import ugettext as _
 
-from dicoclient import dicoclient
+import dicoclient
 try:
     from wit import wiki2html
 except ImportError:
